<template>
    <div class="login-page">
    <div class="form">
      <form class="register-form">
        <input v-model="correo" type="text" placeholder="Correo"/>
        <input v-model="password"  type="pass" placeholder="Nueva contraseña" readonly/>
        <h4>Solo debe diligenciar el correo, si existe automaticamente se mostrara la nueva contraseña</h4>
        <button @click="recovery">Recuperar cuenta</button>
        <router-link :to="{name: 'login'}" class="message">Ya tienes cuenta?</router-link>
      </form>
    </div>
  </div>
  </template>
  
  <script>

import useUsers from "@/composables/useUsers";
import Swal from 'sweetalert2';
import { ref } from 'vue';

  export default {
    setup() {

      const { recoveryPass } = useUsers()
      const correo = ref()
      const password = ref(null);

      const recovery = async() => {

        const { code, dataUser } =  await recoveryPass(correo.value)

        if(code === '200') password.value = dataUser['pass']
        else Swal.fire('Error', 'Error correo no existe', 'error')
      }

      return{
        recovery,
        correo,
        password
      }
    }
  }
  </script>
  
  <style scoped>
      @import url('../css/login.css');
  </style>